# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/luac5.1 pkgconfig(MagickWand) pkgconfig(gdkglext-1.0) pkgconfig(webkit-1.0)
# END SourceDeps(oneline)
Name:		techne
Version:	0.2.3
Release:	alt1_6
Summary:	A general purpose, programmable physical simulator and renderer

Group:		System/Libraries
License:	GPLv3+
URL:		http://www.nongnu.org/techne/
Source0:	http://download.savannah.gnu.org/releases/techne/%{name}-%{version}.tar.gz

BuildRequires:	gcc-objc
BuildRequires:	libode-devel
BuildRequires:	liblua5-devel
BuildRequires:	ImageMagick-devel
BuildRequires:	gtkglext-devel
BuildRequires:	libopenal-devel
BuildRequires:	webkitgtk-devel
BuildRequires:	libmicrohttpd-devel
BuildRequires:	libplplot-devel
Source44: import.info


%description
Techne is a general purpose, programmable physical simulator and renderer.
It reads in a set of scripts wherein every aspect of a physical system is
specified and then proceeds to simulate and render the system onscreen.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} install
# remove a redundant README file in an unappropriate place
rm -f %{buildroot}/%{_docdir}/%{name}/README


%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man*/*


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.3-alt1_6
- initial fc import

